[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#280372: marked as done (installs IP22 binary on IP32)



Your message dated Tue, 9 Nov 2004 01:55:32 +0000
with message-id <20041109015532.GA32113@deprecation.cyrius.com>
and subject line [tbm@cyrius.com: Fixed in NMU of arcboot-installer 1.1]
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 8 Nov 2004 23:36:15 +0000
>From tbm@cyrius.com Mon Nov 08 15:36:14 2004
Return-path: <tbm@cyrius.com>
Received: from sorrow.cyrius.com [65.19.161.204] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1CRJ3W-0002HP-00; Mon, 08 Nov 2004 15:36:14 -0800
Received: by sorrow.cyrius.com (Postfix, from userid 10)
	id EE23164D4A; Mon,  8 Nov 2004 23:35:26 +0000 (UTC)
Received: by deprecation.cyrius.com (Postfix, from userid 1000)
	id C01FE4F2CA; Mon,  8 Nov 2004 23:34:59 +0000 (GMT)
Date: Mon, 8 Nov 2004 23:34:59 +0000
From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: installs IP22 binary on IP32
Message-ID: <20041108233459.GA27675@deprecation.cyrius.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.6+20040907i
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-Spam-Level: 

Package: arcboot-installer
Version: 1.0

arcboot uses /proc to decide whether to install the IP22 or IP32
binary.  Unfortunately, /proc is not mounted in the chroot when
arcboot is installed so it will always install the IP22 binary.  Below
is a patch which works for me.  Thiemo, ok to apply?


Index: arcboot-installer.postinst
===================================================================
--- arcboot-installer.postinst	(revision 23323)
+++ arcboot-installer.postinst	(working copy)
@@ -60,8 +60,11 @@
 # which is still empty. We ignore the resulting apt-install error and do the
 # install ourself. If apt-install fails for a different reason, we are lost.
 set +e
+# mount proc since arcboot needs it to decide between IP22 and IP32
+mount -t proc none /target/proc || true
 apt-install arcboot
 chroot /target /usr/sbin/arcboot $bootdev
+umount /target/proc || true
 set -e
 
 #if ! apt-install arcboot; then

-- 
Martin Michlmayr
http://www.cyrius.com/

---------------------------------------
Received: (at 280372-done) by bugs.debian.org; 9 Nov 2004 01:55:45 +0000
>From tbm@cyrius.com Mon Nov 08 17:55:45 2004
Return-path: <tbm@cyrius.com>
Received: from sorrow.cyrius.com [65.19.161.204] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1CRLEX-0002wT-00; Mon, 08 Nov 2004 17:55:45 -0800
Received: by sorrow.cyrius.com (Postfix, from userid 10)
	id 82EF964D4A; Tue,  9 Nov 2004 01:55:44 +0000 (UTC)
Received: by deprecation.cyrius.com (Postfix, from userid 1000)
	id 004794F2CA; Tue,  9 Nov 2004 01:55:32 +0000 (GMT)
Date: Tue, 9 Nov 2004 01:55:32 +0000
From: Martin Michlmayr <tbm@cyrius.com>
To: 280372-done@bugs.debian.org
Subject: [tbm@cyrius.com: Fixed in NMU of arcboot-installer 1.1]
Message-ID: <20041109015532.GA32113@deprecation.cyrius.com>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.6+20040907i
Delivered-To: 280372-done@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-5.0 required=4.0 tests=BAYES_00,VALID_BTS_CONTROL 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-Spam-Level: 

----- Forwarded message from Martin Michlmayr <tbm@cyrius.com> -----

From: Martin Michlmayr <tbm@cyrius.com>
Subject: Fixed in NMU of arcboot-installer 1.1
Date: Mon, 08 Nov 2004 20:47:03 -0500
To: control@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>,
	Debian Install System Team <debian-boot@lists.debian.org>

tag 280372 + fixed

quit

This message was generated automatically in response to a
non-maintainer upload.  The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 09 Nov 2004 01:35:07 +0000
Source: arcboot-installer
Binary: arcboot-installer
Architecture: source mips
Version: 1.1
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Martin Michlmayr <tbm@cyrius.com>
Description: 
 arcboot-installer - Install Arcboot on a hard disk (udeb)
Closes: 280372
Changes: 
 arcboot-installer (1.1) unstable; urgency=low
 .
   * Martin Michlmayr
     - Fix subarchitecture detection for chrooted installation.
       Closes: #280372.
     - Obtain the correct information about the root device under 2.6.
   * Updated translations:
     - Bulgarian (bg.po) by Ognyan Kulev
     - Greek (el.po) by Greek Translation Team
     - Finnish (fi.po) by Tapio Lehtonen
     - French (fr.po) by French Team
     - Hebrew (he.po) by Lior Kaplan
     - Italian (it.po) by Stefano Melchior
     - Russian (ru.po) by Yuri Kozlov
Files: 
 0eb3ca93490b4cb302084dd40e208a5b 653 debian-installer standard arcboot-installer_1.1.dsc
 8098d63978fea0fcf7b40f3b183603c8 40319 debian-installer standard arcboot-installer_1.1.tar.gz
 c413f8f3389e882ce65993d451e0f1f9 27974 debian-installer standard arcboot-installer_1.1_mips.udeb
package-type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBkB+OKb5dImj9VJ8RAiVWAJ4p0b9vdlgS1iIa46oju4tycWoyNgCeM0uO
52n0OyH5dN9kaX6R2Cn4DRY=
=bZKw
-----END PGP SIGNATURE-----


-- 
To UNSUBSCRIBE, email to debian-boot-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

----- End forwarded message -----

-- 
Martin Michlmayr
http://www.cyrius.com/



Reply to: